# Class DayPilotScheduler

java.lang.Object
org.daypilot.ui.DayPilotScheduler

public class DayPilotScheduler extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `DayPilotScheduler.Section`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DayPilotScheduler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doIncludeCell(IncludeCellArgs ea)`
  `String`
  `getBackColor()`
  `int`
  `getBusinessBeginsHour()`
  `int`
  `getBusinessEndsHour()`
  `int`
  `getCellDuration()`
  `GroupBy`
  `getCellGroupBy()`
  `int`
  `getCellWidth()`
  `CellWidthSpec`
  `getCellWidthSpec()`
  `JSONObject`
  `getClientState()`
  `TimeHeaderCell`
  `getColumn(int index)`
  `int`
  `getColumnCount()`
  `String`
  `getDataEndField()`
  `String`
  `getDataIdField()`
  `String`
  `getDataJoinField()`
  `String`
  `getDataRecurrenceField()`
  `String`
  `getDataResourceField()`
  `String`
  `getDataStartField()`
  `String`
  `getDataTagFields()`
  `String`
  `getDataTextField()`
  `String`
  `getDataValueField()`
  `int`
  `getDays()`
  `DateTime`
  `getEndDate()`
  `Collection`
  `getEvents()`
  `String`
  `getEventSortExpression()`
  `String`
  `getHeaderDateFormat()`
  `String`
  `getHourNameBackColor()`
  `String`
  `getId()`
  `LinkCollection`
  `getLinks()`
  `Locale`
  `getLocale()`
  `List<EventInfo>`
  `getMultiselect()`
  `String`
  `getNonBusinessBackColor()`
  `javax.servlet.http.HttpServletRequest`
  `getRequest()`
  `protected DayOfWeek`
  `getResolvedWeekStart()`
  `ResourceCollection`
  `getResources()`
  `javax.servlet.http.HttpServletResponse`
  `getResponse()`
  `TimeScale`
  `getScale()`
  `int`
  `getScrollX()`
  `int`
  `getScrollY()`
  `Collection<Resource>`
  `getSelectedRows()`
  `SeparatorCollection`
  `getSeparators()`
  `DateTime`
  `getStartDate()`
  `TimeFormat`
  `getTimeFormat()`
  `TimeHeaderCollection`
  `getTimeHeaders()`
  `TimeCellCollection`
  `getTimeline()`
  `TimeZone`
  `getTimeZone()`
  `UpdateType`
  `getUpdateType()`
  `DayPilotScheduler.Section`
  `getViewPort()`
  `ViewType`
  `getViewType()`
  `DateTime`
  `getVisibleEnd()`
  `DateTime`
  `getVisibleStart()`
  `WeekStarts`
  `getWeekStarts()`
  `boolean`
  `isCssOnly()`
  `boolean`
  `isShowNonBusiness()`
  `boolean`
  `isTreeEnabled()`
  `boolean`
  `isUseUtcDates()`
  `void`
  `onBeforeCellRender(BeforeCellRenderArgs cell)`
  `void`
  `onBeforeEventRecurrence(BeforeEventRecurrenceArgs ea)`
  `void`
  `onBeforeEventRender(BeforeEventRenderArgs ea)`
  `void`
  `onBeforeResHeaderRender(BeforeResHeaderRenderArgs a)`
  `void`
  `onBeforeTimeHeaderRender(BeforeTimeHeaderRenderArgs ea)`
  `void`
  `onCommand(CommandArgs ea)`
  `void`
  `onEventBubble(EventBubbleArgs ea)`
  `void`
  `onEventClick(EventClickArgs ea)`
  `void`
  `onEventDelete(EventDeleteArgs ea)`
  `void`
  `onEventDoubleClick(EventDoubleClickArgs ea)`
  `void`
  `onEventEdit(EventEditArgs ea)`
  `void`
  `onEventMenuClick(EventMenuClickArgs ea)`
  `void`
  `onEventMove(EventMoveArgs ea)`
  `void`
  `onEventResize(EventResizeArgs ea)`
  `void`
  `onEventRightClick(EventRightClickArgs ea)`
  `void`
  `onFinish()`
  `void`
  `onGroupBubble(GroupBubbleArgs ea)`
  `void`
  `onIncludeCell(IncludeCellArgs ea)`
  `void`
  `onInit()`
  `void`
  `onNotify(NotifyArgs ea)`
  `void`
  `onPrepare()`
  `void`
  `onResourceBubble(ResourceBubbleArgs ea)`
  `void`
  `onResourceHeaderClick(ResourceHeaderClickArgs ea)`
  Deprecated.
  `void`
  `onResourceHeaderMenuClick(ResourceHeaderMenuClickArgs ea)`
  Deprecated.
  `void`
  `onRowClick(RowClickArgs ea)`
  `void`
  `onRowCreate(RowCreateArgs ea)`
  `void`
  `onRowDoubleClick(RowDoubleClickArgs ea)`
  `void`
  `onRowEdit(RowEditArgs ea)`
  `void`
  `onRowMenuClick(RowMenuClickArgs ea)`
  `void`
  `onRowMove(RowMoveArgs ea)`
  `void`
  `onRowSelect(RowSelectArgs ea)`
  `void`
  `onScroll()`
  `void`
  `onTimeRangeDoubleClick(TimeRangeDoubleClickArgs ea)`
  `void`
  `onTimeRangeMenuClick(TimeRangeMenuClickArgs ea)`
  `void`
  `onTimeRangeSelected(TimeRangeSelectedArgs ea)`
  `void`
  `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
  `void`
  `setBackColor(String backColor)`
  `void`
  `setBusinessBeginsHour(int businessBeginsHour)`
  `void`
  `setBusinessEndsHour(int businessEndsHour)`
  `void`
  `setCellDuration(int cellDuration)`
  `void`
  `setCellGroupBy(GroupBy cellGroupBy)`
  `void`
  `setCellWidth(int cellWidth)`
  `void`
  `setCellWidthSpec(CellWidthSpec cellWidthSpec)`
  `void`
  `setClientState(JSONObject clientState)`
  `void`
  `setCssOnly(boolean cssOnly)`
  `void`
  `setDataEndField(String dataEndField)`
  `void`
  `setDataIdField(String dataValueField)`
  `void`
  `setDataJoinField(String dataJoinField)`
  `void`
  `setDataRecurrenceField(String dataRecurrenceField)`
  `void`
  `setDataResourceField(String dataResourceField)`
  `void`
  `setDataStartField(String dataStartField)`
  `void`
  `setDataTagFields(String dataTagFields)`
  `void`
  `setDataTextField(String dataTextField)`
  `void`
  `setDays(int days)`
  `void`
  `setEvents(Collection events)`
  `void`
  `setEventSortExpression(String eventSortExpression)`
  `void`
  `setHeaderDateFormat(String headerDateFormat)`
  `void`
  `setHourNameBackColor(String hourNameBackColor)`
  `void`
  `setLocale(Locale locale)`
  `void`
  `setNonBusinessBackColor(String nonBusinessBackColor)`
  `void`
  `setScale(TimeScale scale)`
  `void`
  `setScrollX(int scrollX)`
  `void`
  `setScrollX(DateTime time)`
  `void`
  `setScrollY(int scrollY)`
  `void`
  `setShowNonBusiness(boolean showNonBusiness)`
  `void`
  `setStartDate(DateTime startDate)`
  `void`
  `setTimeFormat(TimeFormat timeFormat)`
  `void`
  `setTimeline(TimeCellCollection timeline)`
  `void`
  `setTimeZone(TimeZone timeZone)`
  `void`
  `setTreeEnabled(boolean treeEnabled)`
  `void`
  `setUpdateType(UpdateType updateType)`
  `void`
  `setUseUtcDates(boolean useUtcDates)`
  `void`
  `setViewType(ViewType viewType)`
  `void`
  `setWeekStarts(WeekStarts weekStarts)`
  `void`
  `update()`
  Updates the client (using CallBackUpdateType.EVENTS_ONLY).
  `void`
  `update(JSONObject data, UpdateType updateType)`
  `void`
  `update(UpdateType updateType)`
  `void`
  `updateWithMessage(String message, UpdateType type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DayPilotScheduler

    public DayPilotScheduler()

- ## Method Details

  - ### onInit

    public void onInit() throws Exception
    Throws:
      `Exception`

  - ### onEventBubble

    public void onEventBubble(EventBubbleArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onResourceBubble

    public void onResourceBubble(ResourceBubbleArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onGroupBubble

    public void onGroupBubble(GroupBubbleArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventMove

    public void onEventMove(EventMoveArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventResize

    public void onEventResize(EventResizeArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onScroll

    public void onScroll() throws Exception
    Throws:
      `Exception`

  - ### onTimeRangeSelected

    public void onTimeRangeSelected(TimeRangeSelectedArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onFinish

    public void onFinish() throws Exception
    Throws:
      `Exception`

  - ### onPrepare

    public void onPrepare() throws Exception
    Throws:
      `Exception`

  - ### onBeforeTimeHeaderRender

    public void onBeforeTimeHeaderRender(BeforeTimeHeaderRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeCellRender

    public void onBeforeCellRender(BeforeCellRenderArgs cell) throws Exception
    Throws:
      `Exception`

  - ### onIncludeCell

    public void onIncludeCell(IncludeCellArgs ea)

  - ### onCommand

    public void onCommand(CommandArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onNotify

    public void onNotify(NotifyArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTimeRangeMenuClick

    public void onTimeRangeMenuClick(TimeRangeMenuClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTimeRangeDoubleClick

    public void onTimeRangeDoubleClick(TimeRangeDoubleClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onResourceHeaderMenuClick

    @Deprecated public void onResourceHeaderMenuClick(ResourceHeaderMenuClickArgs ea) throws Exception
    Deprecated.
    Deprecated: Use onRowMenuClick instead.
    Parameters:
      `ea` -
    Throws:
      `Exception`

  - ### onRowMenuClick

    public void onRowMenuClick(RowMenuClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onResourceHeaderClick

    @Deprecated public void onResourceHeaderClick(ResourceHeaderClickArgs ea) throws Exception
    Deprecated.
    Deprecated: Use onRowClick instead.
    Parameters:
      `ea` -
    Throws:
      `Exception`

  - ### onRowClick

    public void onRowClick(RowClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventMenuClick

    public void onEventMenuClick(EventMenuClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventRightClick

    public void onEventRightClick(EventRightClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventEdit

    public void onEventEdit(EventEditArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventDoubleClick

    public void onEventDoubleClick(EventDoubleClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventClick

    public void onEventClick(EventClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeResHeaderRender

    public void onBeforeResHeaderRender(BeforeResHeaderRenderArgs a) throws Exception
    Throws:
      `Exception`

  - ### onBeforeEventRender

    public void onBeforeEventRender(BeforeEventRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeEventRecurrence

    public void onBeforeEventRecurrence(BeforeEventRecurrenceArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowCreate

    public void onRowCreate(RowCreateArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowDoubleClick

    public void onRowDoubleClick(RowDoubleClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowEdit

    public void onRowEdit(RowEditArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowMove

    public void onRowMove(RowMoveArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowSelect

    public void onRowSelect(RowSelectArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onEventDelete

    public void onEventDelete(EventDeleteArgs ea) throws Exception
    Throws:
      `Exception`

  - ### process

    public void process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

  - ### getTimeHeaders

    public TimeHeaderCollection getTimeHeaders()

  - ### getDataValueField

    public String getDataValueField()

  - ### setDataIdField

    public void setDataIdField(String dataValueField)

  - ### getDataTextField

    public String getDataTextField()

  - ### setDataTextField

    public void setDataTextField(String dataTextField)

  - ### getDataStartField

    public String getDataStartField()

  - ### setDataStartField

    public void setDataStartField(String dataStartField)

  - ### getDataEndField

    public String getDataEndField()

  - ### setDataEndField

    public void setDataEndField(String dataEndField)

  - ### getDataResourceField

    public String getDataResourceField()

  - ### setDataResourceField

    public void setDataResourceField(String dataResourceField)

  - ### getEvents

    public Collection getEvents()

  - ### setEvents

    public void setEvents(Collection events)

  - ### update

    public void update(UpdateType updateType)

  - ### update

    public void update(JSONObject data, UpdateType updateType)

  - ### update

    public void update()
    Updates the client (using CallBackUpdateType.EVENTS_ONLY).

  - ### updateWithMessage

    public void updateWithMessage(String message, UpdateType type)

  - ### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  - ### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

  - ### getUpdateType

    public UpdateType getUpdateType()

  - ### setUpdateType

    public void setUpdateType(UpdateType updateType)

  - ### getResolvedWeekStart

    protected DayOfWeek getResolvedWeekStart()

  - ### getStartDate

    public DateTime getStartDate()

  - ### setStartDate

    public void setStartDate(DateTime startDate)

  - ### getEndDate

    public DateTime getEndDate()

  - ### getDays

    public int getDays()

  - ### setDays

    public void setDays(int days)

  - ### getCellDuration

    public int getCellDuration()

  - ### setCellDuration

    public void setCellDuration(int cellDuration)

  - ### getCellGroupBy

    public GroupBy getCellGroupBy()

  - ### setCellGroupBy

    public void setCellGroupBy(GroupBy cellGroupBy)

  - ### getCellWidth

    public int getCellWidth()

  - ### setCellWidth

    public void setCellWidth(int cellWidth)

  - ### getClientState

    public JSONObject getClientState()

  - ### setClientState

    public void setClientState(JSONObject clientState)

  - ### getScrollX

    public int getScrollX()

  - ### setScrollX

    public void setScrollX(int scrollX)

  - ### setScrollX

    public void setScrollX(DateTime time)

  - ### getScrollY

    public int getScrollY()

  - ### setScrollY

    public void setScrollY(int scrollY)

  - ### getResources

    public ResourceCollection getResources()

  - ### getSeparators

    public SeparatorCollection getSeparators()

  - ### getHourNameBackColor

    public String getHourNameBackColor()

  - ### setHourNameBackColor

    public void setHourNameBackColor(String hourNameBackColor)

  - ### getColumnCount

    public int getColumnCount()

  - ### getColumn

    public TimeHeaderCell getColumn(int index)

  - ### getViewPort

    public DayPilotScheduler.Section getViewPort()

  - ### getDataTagFields

    public String getDataTagFields()

  - ### setDataTagFields

    public void setDataTagFields(String dataTagFields)

  - ### getLocale

    public Locale getLocale()

  - ### setLocale

    public void setLocale(Locale locale)

  - ### getViewType

    public ViewType getViewType()

  - ### setViewType

    public void setViewType(ViewType viewType)

  - ### getTimeFormat

    public TimeFormat getTimeFormat()

  - ### setTimeFormat

    public void setTimeFormat(TimeFormat timeFormat)

  - ### isShowNonBusiness

    public boolean isShowNonBusiness()

  - ### setShowNonBusiness

    public void setShowNonBusiness(boolean showNonBusiness)

  - ### getBusinessBeginsHour

    public int getBusinessBeginsHour()

  - ### setBusinessBeginsHour

    public void setBusinessBeginsHour(int businessBeginsHour)

  - ### getBusinessEndsHour

    public int getBusinessEndsHour()

  - ### setBusinessEndsHour

    public void setBusinessEndsHour(int businessEndsHour)

  - ### getWeekStarts

    public WeekStarts getWeekStarts()

  - ### setWeekStarts

    public void setWeekStarts(WeekStarts weekStarts)

  - ### isTreeEnabled

    public boolean isTreeEnabled()

  - ### setTreeEnabled

    public void setTreeEnabled(boolean treeEnabled)

  - ### getHeaderDateFormat

    public String getHeaderDateFormat()

  - ### setHeaderDateFormat

    public void setHeaderDateFormat(String headerDateFormat)

  - ### getBackColor

    public String getBackColor()

  - ### setBackColor

    public void setBackColor(String backColor)

  - ### getNonBusinessBackColor

    public String getNonBusinessBackColor()

  - ### setNonBusinessBackColor

    public void setNonBusinessBackColor(String nonBusinessBackColor)

  - ### getId

    public String getId()

  - ### getTimeZone

    public TimeZone getTimeZone()

  - ### setTimeZone

    public void setTimeZone(TimeZone timeZone)

  - ### isUseUtcDates

    public boolean isUseUtcDates()

  - ### setUseUtcDates

    public void setUseUtcDates(boolean useUtcDates)

  - ### isCssOnly

    public boolean isCssOnly()

  - ### setCssOnly

    public void setCssOnly(boolean cssOnly)

  - ### getVisibleStart

    public DateTime getVisibleStart()

  - ### getVisibleEnd

    public DateTime getVisibleEnd()

  - ### getScale

    public TimeScale getScale()

  - ### setScale

    public void setScale(TimeScale scale)

  - ### getTimeline

    public TimeCellCollection getTimeline()

  - ### setTimeline

    public void setTimeline(TimeCellCollection timeline)

  - ### getCellWidthSpec

    public CellWidthSpec getCellWidthSpec()

  - ### setCellWidthSpec

    public void setCellWidthSpec(CellWidthSpec cellWidthSpec)

  - ### doIncludeCell

    public void doIncludeCell(IncludeCellArgs ea)

  - ### getSelectedRows

    public Collection<Resource> getSelectedRows()

  - ### getDataRecurrenceField

    public String getDataRecurrenceField()

  - ### setDataRecurrenceField

    public void setDataRecurrenceField(String dataRecurrenceField)

  - ### getEventSortExpression

    public String getEventSortExpression()

  - ### setEventSortExpression

    public void setEventSortExpression(String eventSortExpression)

  - ### getLinks

    public LinkCollection getLinks()

  - ### getDataJoinField

    public String getDataJoinField()

  - ### setDataJoinField

    public void setDataJoinField(String dataJoinField)

  - ### getDataIdField

    public String getDataIdField()

  - ### getMultiselect

    public List<EventInfo> getMultiselect()